import { createElement, useState as useState$1, useEffect as useEffect$1 } from 'react';
import axios from 'axios';

var useState = useState$1,
    useEffect = useEffect$1;
var StackOverflowBadge = function StackOverflowBadge(_ref) {
  var id = _ref.id,
      card = _ref.card,
      logo = _ref.logo;

  var _useState = useState(null),
      user = _useState[0],
      setUser = _useState[1];

  useEffect(function () {
    axios.get("https://api.stackexchange.com/2.2/users/" + id, {
      params: {
        site: 'stackoverflow'
      }
    }).then(function (res) {
      setUser(res.data.items[0]);
    });
  }, [id]);

  var truncate = function truncate(number) {
    if (number >= 1e6) {
      return (number / 1e6).toFixed(1) + 'm';
    } else if (number >= 1e3) {
      return (number / 1e3).toFixed(1) + 'k';
    } else {
      return number.toString();
    }
  };

  return user !== null ? createElement("a", {
    className: 'StackOverflowBadge ' + (card ? 'card' : ''),
    href: "https://stackoverflow.com/users/" + id + "?tab=profile",
    target: '_blank',
    rel: 'noopener noreferrer'
  }, logo && createElement("svg", {
    className: 'logo',
    width: '26',
    height: '30',
    viewBox: '0 0 26 30',
    fill: 'none',
    xmlns: 'http://www.w3.org/2000/svg'
  }, createElement("path", {
    fillRule: 'evenodd',
    clipRule: 'evenodd',
    d: 'M21.3233 19.3383H23.9888V30H0V19.3383H2.66542V27.3346H21.3233V19.3383Z',
    fill: '#BBBBBB'
  }), createElement("path", {
    d: 'M5.57022 18.546L18.6611 21.2974L19.2113 18.6805L6.12051 15.9278L5.57022 18.546ZM7.3025 12.2776L19.4292 17.9254L20.5588 15.5001L8.43191 9.85235L7.3025 12.2776ZM10.658 6.32819L20.9388 14.8893L22.6509 12.8333L12.3702 4.27242L10.658 6.32819ZM17.2942 0L15.1473 1.59683L23.131 12.3312L25.2778 10.7346L17.2942 0ZM5.33084 24.6692H18.6579V22.0038H5.33084V24.6692Z',
    fill: '#F58025'
  })), createElement("img", {
    className: 'profileImage',
    src: user.profile_image,
    alt: 'stack overflow profile'
  }), createElement("div", {
    className: 'reputation'
  }, truncate(user.reputation)), user.badge_counts.gold > 0 && createElement("div", {
    className: 'medalCount gold'
  }, createElement("div", {
    className: 'medal'
  }), createElement("div", {
    className: 'count'
  }, user.badge_counts.gold)), user.badge_counts.silver > 0 && createElement("div", {
    className: 'medalCount silver'
  }, createElement("div", {
    className: 'medal'
  }), createElement("div", {
    className: 'count'
  }, user.badge_counts.silver)), user.badge_counts.bronze > 0 && createElement("div", {
    className: 'medalCount bronze'
  }, createElement("div", {
    className: 'medal'
  }), createElement("div", {
    className: 'count'
  }, user.badge_counts.bronze))) : createElement("div", {
    className: 'StackOverflowBadge ' + (card ? 'card' : '')
  }, logo && createElement("svg", {
    className: 'logo',
    width: '26',
    height: '30',
    viewBox: '0 0 26 30',
    fill: 'none',
    xmlns: 'http://www.w3.org/2000/svg'
  }, createElement("path", {
    fillRule: 'evenodd',
    clipRule: 'evenodd',
    d: 'M21.3233 19.3383H23.9888V30H0V19.3383H2.66542V27.3346H21.3233V19.3383Z',
    fill: '#BBBBBB'
  }), createElement("path", {
    d: 'M5.57022 18.546L18.6611 21.2974L19.2113 18.6805L6.12051 15.9278L5.57022 18.546ZM7.3025 12.2776L19.4292 17.9254L20.5588 15.5001L8.43191 9.85235L7.3025 12.2776ZM10.658 6.32819L20.9388 14.8893L22.6509 12.8333L12.3702 4.27242L10.658 6.32819ZM17.2942 0L15.1473 1.59683L23.131 12.3312L25.2778 10.7346L17.2942 0ZM5.33084 24.6692H18.6579V22.0038H5.33084V24.6692Z',
    fill: '#F58025'
  })), createElement("div", {
    className: 'profileImage placeholder'
  }), createElement("div", {
    className: 'medalCount'
  }, createElement("div", {
    className: 'medal'
  })), createElement("div", {
    className: 'medalCount'
  }, createElement("div", {
    className: 'medal'
  })), createElement("div", {
    className: 'medalCount'
  }, createElement("div", {
    className: 'medal'
  })));
};
StackOverflowBadge.defaultProps = {
  id: 9127393,
  card: true,
  logo: true
};

export { StackOverflowBadge };
//# sourceMappingURL=index.modern.js.map
